Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Multi-player tank battle in 3D (OpenGL)
Name:		Scorched3D
Version:	41.3
Release:	1
License:	GNU/GPL 
URL:		http://www.scorched3d.co.uk
Group:		Games/Strategy
Source0:	%{name}-%{version}-src.tar.gz
Source1:	smoke-orange.bmp
Source2:	scorched3d.desktop
Source3:	scorched3d.png
BuildRoot:	%{_tmppath}/%{name}-buildroot
#BuildRequires:	mesa-devel
BuildRequires:	freeglut-devel
BuildRequires:	wxGTK-devel
BuildRequires:	fftw-devel
BuildRequires:	freetype-devel
BuildRequires:	qt-devel
BuildRequires:	openal-devel
BuildRequires:	SDL_net-devel

%description
Scorched 3D is a game based on the classic DOS game Scorched Earth
"The Mother Of All Games".  Scorched 3D adds amongst other new
features a 3D island environment and LAN and internet play.  At its
lowest level, Scorched 3D is just an artillery game with two+ tanks
taking turns to destroy opponents in an arena.  Choose the angle,
direction and power of each shot, launch your weapon, and try to blow
up other tanks.  But Scorched 3D can be a lot more complex than that,
if you want it to be.  You can earn money from successful battles and
use it to invest in additional weapons and accessories.  You can play
with up to twenty four other players at a time, mixing computer
players with humans.  There's a variety of changing environmental
conditions and terrains to be dealt with.

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%prep
%setup -q -n scorched

%build
./configure \
--prefix=%_prefix \
--mandir=%_mandir \
--datadir=%_datadir/%{name} \
--disable-dependency-tracking \
--with-docdir=%_docdir/%{name} \
LIBS=-lalut
make -j2

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%_datadir/%{name}/data/globalmods/apoc/data/textures/explode/

# below is the desktop file and icon stuff.
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/applications
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
install -p -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/applications
install -p -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps

%files
%defattr(-,root,root)
%_bindir
%_datadir/%{name}
%_docdir/%{name}
%_datadir/applications/*.desktop
%_datadir/icons/hicolor/32x32/apps/*.png

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Jan 20 2008 Karsten Brockmann <arcam@ccux-linux.de> 41.3-1
- Version update
* Sun Jan 13 2008 Karsten Brockmann <arcam@ccux-linux.de> 41.2-1
- Version update
* Wed Oct 31 2007 Christian Metzen <metzench@ccux-linux.de> 41.1-1
- Version update
* Tue Oct 15 2007 Christian Metzen <metzench@ccux-linux.de> 41-2
- added desktop file install
* Mon Oct 15 2007 Karsten Brockmann <arcam@ccux-linux.de> 41-1
- Version update
* Mon Oct 15 2007 Christian Metzen <metzench@ccux-linux.de> 40.1d-2
- merged doc package, corrected package group
* Sun Oct 14 2007 Karsten Brockmann <arcam@ccux-linux.de> 40.1d-1
- Version update
* Wed Apr 26 2006 Christian Wasem <wasem@ccux-linux.de> 39.1-2
- tweaked specfile
* Mon Dec 05 2005 Stefan Gottwald <gotti@ccux-linux.de> 39.1-1
- Initial Release
